#version 330
uniform sampler2D myTexture;
uniform sampler1D visages;
uniform vec4 couleur;
uniform int nbVisages;
uniform float width, height;
in  vec2 vsoTexCoord;
out vec4 fragColor;

void main(void) {
  float pas = 1.0 / float(nbVisages), x;
  for(x = pas/2.0; x < 1; x += pas) {
    vec4 visage = texture(visages, x);
    float dmax = min(visage.z, visage.w) / 2.0;
    float d = length(vec2(min(1.0, width/height), min(1.0, height/width)) * (visage.xy - gl_FragCoord.xy));
    if(d < dmax) {
      fragColor = texture(myTexture, vsoTexCoord.st) * vec4(1.0 - d / dmax);
      return;
    }
  }
  fragColor = vec4(0);
}
